## frescobaldi 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 2.4)
-project(frescobaldi)
-set(VERSION "0.7.13")
+project(frescobaldi NONE)
+set(VERSION "1.0.2")
 
 option(HANDBOOK "Install Frescobaldi User Guide" ON)
+option(BYTECOMPILE "Byte-compile Python modules on install" ON)
 
 # Find our own modules
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
