## frescobaldi 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.4)
 project(frescobaldi NONE)
-set(VERSION "1.0.2")
+set(VERSION "1.1.4")
 
 option(HANDBOOK "Install Frescobaldi User Guide" ON)
 option(BYTECOMPILE "Byte-compile Python modules on install" ON)
@@ -31,8 +31,14 @@
 
 add_subdirectory(python)
 add_subdirectory(data)
-add_subdirectory(pics)
-add_subdirectory(po)
+
+if(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+  add_subdirectory(prebuilt)
+else(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+  add_subdirectory(pics)
+  add_subdirectory(po)
+endif(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+
 if(HANDBOOK)
   add_subdirectory(doc)
 endif(HANDBOOK)
