=== python/CMakeLists.txt ===
python_install_directory(${MODULE_DIR})
