=== debian/changelog ===
frescobaldi (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Use the simple feed for google code in the watch file. Depends on a patch
    for uscan which will hopefully get uploaded to Debian in the near future.
  * Switch to source format 3.0 (quilt)
  * Drop README.source for quilt, it's no longer needed under source format
    3.0 (quilt)
  * Drop quilt from the B-D 
  * Updated copyright with new holders / years
  * Ditch CDBS for dh
  * Update 01_checkmodules_no_python-kde4_build-dep.diff for new
    checkmodules.py 
  * Don't install .pyc files. Thiss used to be done in debian/rules. Now done
    with 02_no_pyc.diff . 
  * Frescobaldi no longer appears to segfault at start (Closes: #558228)
  * Frescobaldi is now installable with the current python-kde4
    (Closes: #570847)
  * Bump to standards version 3.9.1, no changes required 

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Aug 2010 10:08:01 -0400

frescobaldi (1.0.2-2) unstable; urgency=low

  * Added lilypond-doc as a suggests 
  * Added an entry to README.Debian concerning setting the LilyPond
    documentation path in Frescobaldi.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 15 Mar 2010 21:15:34 -0400

frescobaldi (1.0.2-1) unstable; urgency=low

  * New upstream release, fixes issues with KDE 4.4 and SIP 4.10.
  * Bumped to standards version 3.8.4

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 20 Feb 2010 08:31:25 -0500

frescobaldi (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 17 Jan 2010 08:54:24 -0500

frescobaldi (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Updated the long description with new features

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 Dec 2009 15:21:28 -0500

frescobaldi (0.7.17-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 29 Nov 2009 08:31:56 -0500

frescobaldi (0.7.16-1) unstable; urgency=low

  * New upstream release
  * Update the copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 15 Nov 2009 18:22:07 -0500

frescobaldi (0.7.15-1) unstable; urgency=low

  * New upstream release
  * Update README.Debian now that rumor is in the archives
  * Update copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Nov 2009 20:25:12 +0100

frescobaldi (0.7.13-3) unstable; urgency=low

  * Switched out kdebase for kdebase-bin as a depends since both work and
    kdebase-bin is smaller 

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 29 Aug 2009 15:43:34 -0400

frescobaldi (0.7.13-2) unstable; urgency=low

  * Added python-qt4-dbus as a depends (Closes: #543205) 
  * Tidied up the long description, added a few of the new "main" features to
    it as well. (Closes: #543142)
  * Now using standards 3.8.3

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 28 Aug 2009 17:00:47 -0400

frescobaldi (0.7.13-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file
  * Added a README.source as per Debian Policy Manual 3.8.2.0 section 4.14
  * Section now editors
  * Drop CMakeLists.txt from the docs
  * Fix the menu file
  * Don't ship the .pyc files in the .deb

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 11 Aug 2009 17:52:14 -0400

frescobaldi (0.7.11-1) unstable; urgency=low

  * Initial release (Closes: #511794)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 21 Jun 2009 21:32:49 -0400
