=== debian/control ===
Source: frescobaldi
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python (>= 2.5), python-support (>= 0.8.7), 
 python-qt4 (>= 4.4.4), python-sip4 (>= 4.7.9), python-dbus, 
 python-kde4-dev (>= 4:4.2.2), python-qt4-dbus, lilypond, 
 ghostscript, imagemagick, kdelibs-bin (>= 4:4.2.2), cmake
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
XS-Python-Version: >= 2.5
Homepage: http://www.frescobaldi.org/

Package: frescobaldi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-qt4, python-kde4 (>= 4:4.0.2), 
 python-dbus, lilypond, okular, kdebase-bin (>= 4.2.1), kdelibs5 (>= 4.2.1), 
 python-qt4-dbus
Suggests: rumor, timidity, alsa-utils, lilypond-doc
Description: LilyPond sheet music editor for KDE4
 Frescobaldi is a LilyPond sheet music editor for KDE4, with the following
 features:
  * Enter LilyPond scores, then build and preview them with a mouseclick
  * Point-and-click support: click on notes or on error messages to jump to the
    corresponding position in the LilyPond file
  * A Score Setup Wizard that helps you to quickly setup a LilyPond score,
    generating LilyPond input in a very human-like way
  * Blank staff paper generator
  * Syntax coloring that also signals some often made mistakes
  * Snippet manager to enter lilypond snippets using keystrokes or mnemonics
  * Context sensitive autocompletion, helping you to enter LilyPond commands
  * Hyphenate lyrics using wordprocessor hyphenation dictionaries
  * Powerful functions to manipulate pitches: translate music from one pitch
    language to another, transpose music (both relative and absolute) and
    perform conversion between relative and absolute music expressions (all
    these functions also work on selected fragments of music)
  * Tools to change the rhythm of already entered music (extract, paste rhythm,
    apply a rhythm repetitively to entered pitches, double, halve or scale, etc)
  * A powerful Rumor plugin, using the Rumor program to quickly enter music by 
    playing it on a MIDI keyboard or even your computer keyboard
  * LilyPond documentation browser with context sensitive lookup
  * User Guide with help buttons (F1) everywhere
  * Translated into Dutch, English, French, German, Italian, Czech, Russian,
    Spanish, Turkish and Polish
 .
 Frescobaldi is the KDE4 successor of LilyKDE, a Kate plugin for KDE3.
