=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -80,9 +80,43 @@
   list(APPEND all_pngs ${_outp})
 endmacro(lilypond_png_image)
 
+# convert a ly file to a fixed size icon without cropping it
+# and then scaling it down to size.
+macro(lilypond_png_text_icon _lyfile _size)
+  lilypond_deps(_deps ${_lyfile})
+  get_filename_component(_base ${_lyfile} NAME_WE)
+  set(_outp "${CMAKE_CURRENT_BINARY_DIR}/${_base}.png")
+  add_custom_command(
+    OUTPUT ${_outp}
+    DEPENDS ${_deps}
+    COMMAND ${LILYPOND_EXECUTABLE}
+        -ddelete-intermediate-files
+        --png -dpixmap-format=pngalpha
+        -dresolution=300
+        -o "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}"
+        "${_lyfile}"
+    COMMAND ${CONVERT_EXECUTABLE}
+        "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
+        -resize ${_size} -unsharp 0x1
+        "${_outp}"
+    COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
+    VERBATIM
+  )
+  list(APPEND all_pngs ${_outp})
+endmacro(lilypond_png_text_icon)
 
 # Make icons for articulations and notes etc. at 22px
-file(GLOB lilypond_files articulation_*.ly note_*.ly time_*.ly bar_*.ly)
+file(GLOB lilypond_files
+  arpeggio_*.ly
+  articulation_*.ly
+  bar_*.ly
+  breathe_*.ly
+  glissando_*.ly
+  note_*.ly
+  slur_*.ly
+  spanner_*.ly
+  time_*.ly
+)
 foreach(_ly ${lilypond_files})
   lilypond_png_icon(${_ly} 22)
 endforeach(_ly ${lilypond_files})
@@ -99,6 +133,13 @@
   lilypond_png_image(${_ly})
 endforeach(_ly ${lilypond_files})
 
-# Build and install all LilyPond-generaged pictures
+# Text icons for dynamics
+file(GLOB lilypond_files dynamic_*.ly)
+foreach(_ly ${lilypond_files})
+  lilypond_png_text_icon(${_ly} 22)
+endforeach(_ly ${lilypond_files})
+
+
+# Build and install all LilyPond-generated pictures
 add_custom_target(lilypond_pngs ALL DEPENDS ${all_pngs})
 install(FILES ${all_pngs} DESTINATION ${APP_DIR}/pics)
