=== prebuilt/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(po)
