=== prebuilt/pics/CMakeLists.txt ===
file(GLOB pngs *.png)
install(FILES ${pngs} DESTINATION ${APP_DIR}/pics)
