=== prebuilt/po/CMakeLists.txt ===
file(GLOB mo_files *.mo)
foreach(mo ${mo_files})
  get_filename_component(lang ${mo} NAME_WE)
  install(
    FILES ${mo}
    DESTINATION ${LOCALE_INSTALL_DIR}/${lang}/LC_MESSAGES
    RENAME ${PROJECT_NAME}.mo
  )
endforeach(mo)
