=== debian/changelog ===
frescobaldi (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Merge changes from Kubuntu:
    - Drop kdelibs5 from Depends since python-kde4 already depends on
      everything we need.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 18 Jan 2011 16:11:11 -0500

frescobaldi (1.1.8-1) unstable; urgency=low

  * New upstream release
  * Refreshed 02_no_pyc.diff
  * Updated copyright holder's years
  * Updated to dh8
    - Change debian/control
    - Bump debian/compat to 8

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 09 Nov 2010 13:52:15 -0500

frescobaldi (1.1.7-1) unstable; urgency=low

  * New upstream release
  * Drop 03_gnome_icon.diff, applied upstream.
  * Comment out the feature to download 3rd party binaries of lilypond.
    Packages of the stable Lilypond version are generally up to date in Debian
    and we don't want users sending Debian bug reports about broken Lilypond
    installs when their Lilypond installation isn't from Debian.
    Done in 04_no_binary_lilypond_upgrades.diff
  * Turn on DM-Upload-Allowed: yes.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 08 Oct 2010 11:38:53 -0400

frescobaldi (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright and frescobaldi.1 with copyright holders.
  * Add an uncompressed version of frescobaldi.svgz so that GNOME users can
    have an icon, 03_gnome_icon.diff, (Closes: #593297)
  * Drop unneeded Build-Dependencies, upstream now provides pregenerated
    images. This means we no longer need lilypond to generate them. We also
    patched out the checks for KDE/Qt python modules ages ago, but never
    dropped the B-D.
  * Although section 2.3 of the Python Policy is for modules, we'll switch to
    X-Python-Version from XS-Python-Version since it recommends it.
  * The 1.1 series requires python >= 2.6, bumped pyversions / X-Python-Version
  * Update the long description with new upstream translation languages
  * Place the I-B-D and Depends each on their own line so that it's easier to
    see which packages have been added or removed in debdiffs/SVN diffs.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 19 Aug 2010 10:24:19 -0400
