=== debian/control ===
--- 
+++ 
@@ -3,21 +3,28 @@
 Priority: optional
 Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python (>= 2.5), python-support (>= 0.8.7), 
- python-qt4 (>= 4.4.4), python-sip4 (>= 4.7.9), python-dbus, 
- python-kde4-dev (>= 4:4.2.2), python-qt4-dbus, lilypond, 
- ghostscript, imagemagick, kdelibs-bin (>= 4:4.2.2), cmake
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python (>= 2.6),
+ python-support (>= 0.8.7),
+ cmake,
+ kdelibs-bin (>= 4:4.2.2)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: http://www.frescobaldi.org/
+DM-Upload-Allowed: yes
 
 Package: frescobaldi
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-qt4, python-kde4 (>= 4:4.0.2), 
- python-dbus, lilypond, okular, kdebase-bin (>= 4.2.1), kdelibs5 (>= 4.2.1), 
+Depends: ${misc:Depends},
+ ${python:Depends},
+ python-qt4,
+ python-kde4 (>= 4:4.0.2),
+ python-dbus,
+ lilypond,
+ okular,
+ kdebase-bin (>= 4.2.1),
  python-qt4-dbus
 Suggests: rumor, timidity, alsa-utils, lilypond-doc
 Description: LilyPond sheet music editor for KDE4
@@ -44,6 +51,6 @@
   * LilyPond documentation browser with context sensitive lookup
   * User Guide with help buttons (F1) everywhere
   * Translated into Dutch, English, French, German, Italian, Czech, Russian,
-    Spanish, Turkish and Polish
+    Spanish, Galician, Turkish and Polish
  .
  Frescobaldi is the KDE4 successor of LilyKDE, a Kate plugin for KDE3.
