=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=downloadurlmangle=s#.*name=(frescobaldi-(.*)\.tar\.gz).*#http://lilykde.googlecode.com/files/$1#,filenamemangle=s#.*(frescobaldi-(.*)\.tar\.gz).*#$1# \
     http://code.google.com/p/lilykde/downloads/list \
     detail\?name=frescobaldi-(.*)\.tar\.gz.*
