## frescobaldi 2.0.0

=== frescobaldi_app/po/Makefile ===
# Makefile that builds the MO files

# The python interpreter
PYTHON = python

potfile = ../../frescobaldi.pot

pofiles = $(wildcard *.po)
mofiles = $(patsubst %.po,%.mo,$(pofiles))


all: $(mofiles)


$(pofiles): $(potfile)
	msgmerge -U $@ $<

$(mofiles): %.mo: %.po
	msgfmt -o $@ $<
	$(PYTHON) molint.py $@
