=== debian/changelog ===
frescobaldi (2.0.0-1) unstable; urgency=low

  * New upstream release 
  * Drop the following uneeded patches:
    + 01_checkmodules_no_python-kde4_build-dep.diff
    + 02_no_pyc.diff
    + 04_no_binary_lilypond_upgrades.diff
  * Needs new dependency python-poppler-qt4
  * Update debian/watch for new download path
  * Update copyright file with new holders and years

 -- Ryan Kavanagh <rak@debian.org>  Tue, 03 Jan 2012 16:20:11 -0500

frescobaldi (1.2.0-2) unstable; urgency=low

  * Bump standards vertion to 3.9.2
  * Switch to dh_python2
  * Use default version of Python (Closes: #649259)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 24 Nov 2011 18:53:06 -0500
