=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: frescobaldi
 Section: editors
 Priority: optional
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: python (>= 2.6),
- python-support (>= 0.8.7),
+Build-Depends-Indep: python (>= 2.6.6-3~),
  cmake,
  kdelibs-bin (>= 4:4.2.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
-X-Python-Version: >= 2.6
 Homepage: http://www.frescobaldi.org/
 DM-Upload-Allowed: yes
 
@@ -20,13 +19,10 @@
 Depends: ${misc:Depends},
  ${python:Depends},
  python-qt4,
- python-kde4 (>= 4:4.0.2),
- python-dbus,
- lilypond,
- okular,
- kdebase-bin (>= 4.2.1),
- python-qt4-dbus
-Suggests: rumor, timidity, alsa-utils, lilypond-doc
+ python-poppler-qt4,
+ lilypond
+Recommends: python-pypm
+Suggests: lilypond-doc
 Description: LilyPond sheet music editor for KDE4
  Frescobaldi is a LilyPond sheet music editor for KDE4, with the following
  features:
