=== debian/watch ===
version=3
opts="filenamemangle=s@.*/v@frescobaldi-@" \
http://githubredir.debian.net/github/wbsoft/frescobaldi .*/v(.*).tar.gz
