## frescobaldi 2.0.5%2Bds1

=== debian/changelog ===
frescobaldi (2.0.5+ds1-1) unstable; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
  * Suggest hyphen-hyphenation-patterns
  * Add depends on icon-theme-tango
  * Update watch file to deal with mangled version number
  * Updated copyright file with new copyright holders and years
  * Update long and short descriptions (Closes: #661322)
  * Drop unneeded B-D on cmake, kdelibs-bin
  * Move python-pypm from Recommends to Depends
  * Drop DM-Upload-Allowed: yes from control
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Thu, 26 Apr 2012 21:45:21 -0400
