## frescobaldi 2.0.8+ds1

=== debian/changelog ===
frescobaldi (2.0.8+ds1-1) experimental; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source

 -- Ryan Kavanagh <rak@debian.org>  Tue, 12 Feb 2013 12:30:16 -0500
