## frescobaldi 2.0.10+ds1

=== debian/changelog ===
frescobaldi (2.0.10+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ryan Kavanagh ]
  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
    + Update the copyright holders file
  * Upload to unstable now that wheezy is released
  * Bumped standards version to 3.9.4
  * Bumped debhelper build-dependency to (>= 9) and set compat to 9
  * Updated the long-outdated manpage
  * Fix encoding of Last-Translator field in pt_BR.po,
    01_double_encode_translator.diff (Closes: #684201)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 26 May 2013 22:26:03 -0400
