=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
 Homepage: http://www.frescobaldi.org/
 
 Package: frescobaldi
