## frescobaldi 2.0.13%2Bds1

=== debian/watch ===
version=3
opts="filenamemangle=s@.*/v@frescobaldi-@,dversionmangle=s@\+ds\d+$@@g" \
http://githubredir.debian.net/github/wbsoft/frescobaldi .*/v(.*).tar.gz
