## frescobaldi 2.0.13+ds1

=== frescobaldi_app/po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # The python interpreter
 PYTHON = python
 
-potfile = ../../frescobaldi.pot
+potfile = frescobaldi.pot
 
 pofiles = $(wildcard *.po)
 mofiles = $(patsubst %.po,%.mo,$(pofiles))
