=== frescobaldi_app/ly/data/Makefile ===
# MakeFile

# Which LilyPond executable to use
LILYPOND=~/lilypond_bin/2.14.1-1/bin/lilypond

_lilypond_data.py: getdata.ly
	$(LILYPOND) -dno-print-pages $< > $@
