=== debian/changelog ===
frescobaldi (2.0.13+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix a typo in README.source.

  [ Anthony Fok ]
  * New upstream release (Closes: #729688)
  * Bump Standards-Version to 3.9.5
  * Upstream has applied 01_double_encode_translator.diff to correct
    encoding in pt_BR.po for Frescobaldi 2.0.11, removing Debian patch
  * Update debian/copyright, adding Urs Liska to the list of contributors
  * Add myself to the Uploaders field (Thanks, Ryan!)

 -- Anthony Fok <foka@debian.org>  Sun, 19 Jan 2014 09:19:48 +0800
