=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+ Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
  python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
