## frescobaldi 2.17.2+ds1

=== debian/changelog ===
frescobaldi (2.17.2+ds1-1) unstable; urgency=medium

  * New upstream release:
      2.17.2 fixes one annoying bug that could pop up when compiling a
      LilyPond file (AttributeError: 'unicode' object has no attribute
      'insert', issue #543 in our bug tracker), and provides updated
      translations for Italian, Dutch and French.
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 25 Jan 2015 02:45:34 -0700

frescobaldi (2.17.1+ds1-1) unstable; urgency=medium

  * New upstream release.  Merry Christmas!  :-)
  * Remove Chinese l10n patch because it is already in upstream.
  * Bump Python requirement from 2.6+ to 2.7+.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Dec 2014 04:03:12 -0700

frescobaldi (2.0.16+ds1-1) unstable; urgency=low

  * New upstream release.
  * Add my initial skeletal Chinese l10n. Hope more people can help!
  * Reinclude some hyphenation dictionaries, namely cs_CZ, da_DK, el_GR,
    es_ES, fi_FI, ga_IE, id_ID, is_IS, nl_NL, pt_BR, pt_PT, sk_SK, sv_SE,
    and uk_UA, which are otherwise unavailable in any current Debian
    hyphen-* packages.
  * debian/copyright: Convert to the machine-readable format v1.0
    with corrections, and add Files-Excluded field.
  * debian/watch: Direct URL to GitHub, and use new repacksuffix option.
  * debian/rules: New get-orig-source target to run "uscan --repack"
  * debian/cleanup.sh: Add obsolescence message and exit.
  * debian/README.source: Document the switch to "uscan --repack".
  * debian/control:
     - Bump Standards-Version to 3.9.6
     - Add Build-Depends: dh-python
     - Add a linebreak in the package description

 -- Anthony Fok <foka@debian.org>  Sun, 21 Dec 2014 05:22:13 -0700
