=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
- python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+ dh-python,
+ python (>= 2.7)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
 Homepage: http://www.frescobaldi.org/
@@ -35,6 +36,7 @@
   * Built-in LilyPond documentation browser and built-in Frescobaldi User Guide
   * Translated into Dutch, English, French, German, Italian, Czech, Russian,
     Spanish, Galician, Turkish and Polish
+ .
  Frescobaldi also includes the following music functions:
   * Transpose music
   * Change music from relative to absolute and vice versa
