=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

.PHONY: get-orig-source
get-orig-source:
	XZ_OPT=-e uscan --noconf --verbose --destdir=$(CURDIR) \
	                --repack --compression xz

.DEFAULT_GOAL :=
