## frescobaldi 2.18.1%2Bds1

=== debian/watch ===
version=3
opts="repacksuffix=+ds1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/frescobaldi-$1\.tar\.gz/,dversionmangle=s/\+ds\d*$//" \
  https://github.com/wbsoft/frescobaldi/tags .*/v?(\d\S*)\.tar\.gz
